Apache C++ Standard Library Reference Guide

## <ios>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<ios>` is part of the Input/output library of the Standard C++ Library. It defines the types streamoff and streampos, the class ios_base, the class templates fpos and basic_ios, and the manipulator functions `boolalpha()`, `noboolalpha()`, `showbase()`, `noshowbase()`, `showpoint()`, `noshowpoint()`, `showpos()`, `noshowpos()`, `skipws()`, `noskipws()`, `uppercase()`, `nouppercase()`, `internal()`, `left()`, `right()`, `dec()`, `hex()`, `oct()`, `fixed()`, and `scientific()`.

### Synopsis

    #include <iosfwd>

    namespace std {
      typedef  OFF_T   streamoff;
      typedef  SZ_T  streamsize;
      template <class stateT> class fpos;

      class ios_base;
      template <class charT, class traits = char_traits<charT> >
      class basic_ios;

      ios_base& boolalpha(ios_base&);
      ios_base& noboolalpha(ios_base&);

      ios_base& showbase(ios_base&);
      ios_base& noshowbase(ios_base&);

      ios_base& showpoint(ios_base&);
      ios_base& noshowpoint(ios_base&);

      ios_base& showpos(ios_base&);
      ios_base& noshowpos(ios_base&);

      ios_base& skipws(ios_base&);
      ios_base& noskipws(ios_base&);

      ios_base& uppercase(ios_base&);
      ios_base& nouppercase(ios_base&);

      ios_base& internal(ios_base&);
      ios_base& left(ios_base&);
      ios_base& right(ios_base&);

      ios_base& dec(ios_base&);
      ios_base& hex(ios_base&);
      ios_base& oct(ios_base&);

      ios_base& fixed(ios_base&);
      ios_base& scientific(ios_base&);
    }

### See Also

fpos, ios_base, basic_ios

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.4